oracle.kv.stats

## Interface NodeMetrics

- All Superinterfaces:
    Serializable

      public interface NodeMetrics
      extends Serializable

  The metrics associated with a node in the KVS.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getAvLatencyMs()` Returns the trailing average latency (in ms) over all requests made to this node.
    `String` | `getDataCenterName()` Deprecated. replaced by `getZoneName()`
    `long` | `getFailedRequestCount()` Returns the number of requests that were tried at this node but did not result in a successful response.
    `int` | `getMaxActiveRequestCount()` Returns the number of requests that were concurrently active for this node at this KVS client.
    `String` | `getNodeName()` Returns the internal name associated with the node.
    `long` | `getRequestCount()` Returns the total number of requests processed by the node.
    `String` | `getZoneName()` Returns the zone that hosts the node.
    `boolean` | `isActive()` Returns true is the node is currently active, that is, it's reachable and can service requests.
    `boolean` | `isMaster()` Returns true if the node is currently a master.

- - ### Method Detail

    - #### getNodeName

          String getNodeName()

      Returns the internal name associated with the node. It's unique across the KVStore.

    - #### getDataCenterName

          @Deprecated
          String getDataCenterName()

      Deprecated. replaced by `getZoneName()`
      Returns the zone that hosts the node.

    - #### getZoneName

          String getZoneName()

      Returns the zone that hosts the node.

    - #### isActive

          boolean isActive()

      Returns true is the node is currently active, that is, it's reachable and can service requests.

    - #### isMaster

          boolean isMaster()

      Returns true if the node is currently a master.

    - #### getMaxActiveRequestCount

          int getMaxActiveRequestCount()

      Returns the number of requests that were concurrently active for this node at this KVS client.

    - #### getRequestCount

          long getRequestCount()

      Returns the total number of requests processed by the node.

    - #### getFailedRequestCount

          long getFailedRequestCount()

      Returns the number of requests that were tried at this node but did not result in a successful response.

    - #### getAvLatencyMs

          int getAvLatencyMs()

      Returns the trailing average latency (in ms) over all requests made to this node.

      Note that since this is a trailing average it's not cleared when the statistics are cleared via the `KVStore.getStats(boolean)` method.

Copyright (c) 2011, 2014 Oracle and/or its affiliates. All rights reserved.